Bug 150798 - useless patch in iproute2 src rpm
Summary: useless patch in iproute2 src rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-10 17:53 UTC by Stephen Hemminger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 09:51:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Hemminger 2005-03-10 17:53:19 UTC
Why are you including the bogus patch iproute-2.4.7-initvar.patch?


It adds extra assign to zero when the structure has just
been memset to zero?  *Duh* it's already zero.

-----------
--- iproute2/ip/iproute.c.initvar       2004-04-21 16:57:59.307562694
+0200
+++ iproute2/ip/iproute.c       2004-04-21 16:58:35.353103364 +0200
@@ -620,6 +620,9 @@
                }
                memset(rtnh, 0, sizeof(*rtnh));
                rtnh->rtnh_len = sizeof(*rtnh);
+               rtnh->rtnh_ifindex = 0;
+               rtnh->rtnh_flags = 0;
+               rtnh->rtnh_hops = 0;
                rta->rta_len += rtnh->rtnh_len;
                parse_one_nh(rta, rtnh, &argc, &argv);
                rtnh = RTNH_NEXT(rtnh);

Comment 1 Radek Vokal 2005-03-14 12:48:32 UTC
you're right, this looks really useless. I'm making a note down and it
will get removed in next release .. 

Comment 2 Radek Vokal 2005-05-24 09:51:04 UTC
removed

Comment 3 Mike Frysinger 2005-10-30 04:09:39 UTC
it's still in cvs, just not applied via spec file ...


Note You need to log in before you can comment on or make changes to this bug.